Subject: Re: I-D Action: draft-carpenter-6man-rfc6874bis-01.txt

From: Brian E Carpenter <[email-masked]>
Date: Mon, 12 Jul 2021 09:02:39 +1200

Hi,

This is updated according to comments received.

The main changes are:

 -  Added section on issues with RFC6874	
		 		
 -  Removed suggested heuristic for bare % signs

and the major open issue is noted in the text:

"there is an argument that URI parsers could be coded to avoid percent-encoding	here if so directed by the ABNF syntax."

Regards
   Brian & Bob

On 12-Jul-21 08:57, [email-masked] wrote:
> 
> A New Internet-Draft is available from the on-line Internet-Drafts directories.
> 
> 
>         Title           : Representing IPv6 Zone Identifiers in Address Literals and Uniform Resource Identifiers
>         Authors         : Brian Carpenter
>                           Robert M. Hinden
> 	Filename        : draft-carpenter-6man-rfc6874bis-01.txt
> 	Pages           : 11
> 	Date            : 2021-07-11
> 
> Abstract:
>    This document describes how the zone identifier of an IPv6 scoped
>    address, defined as <zone_id> in the IPv6 Scoped Address Architecture
>    (RFC 4007), can be represented in a literal IPv6 address and in a
>    Uniform Resource Identifier that includes such a literal address.  It
>    updates the URI Generic Syntax specification (RFC 3986) accordingly,
>    and obsoletes RFC 6874.
> 
> 
> The IETF datatracker status page for this draft is:
> https://datatracker.ietf.org/doc/draft-carpenter-6man-rfc6874bis/
> 
> There is also an HTML version available at:
> https://www.ietf.org/archive/id/draft-carpenter-6man-rfc6874bis-01.html
> 
> A diff from the previous version is available at:
> https://www.ietf.org/rfcdiff?url2=draft-carpenter-6man-rfc6874bis-01
> 
> 
> Internet-Drafts are also available by anonymous FTP at:
> ftp://ftp.ietf.org/internet-drafts/
> 
> 
> _______________________________________________
> I-D-Announce mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/i-d-announce
> Internet-Draft directories: http://www.ietf.org/shadow.html
> or ftp://ftp.ietf.org/ietf/1shadow-sites.txt
>

---

From: Brian E Carpenter <[email-masked]>
Date: Fri, 16 Jul 2021 10:17:00 +1200

FYI, I have posted an updated diff between the old RFC and the current draft. This might be helpful to understand what we are currently proposing to change.

https://www.cs.auckland.ac.nz/~brian/Diff-rfc6874-draft-carpenter-6man-rfc6874bis-01.htm

Regards
   Brian Carpenter